Package org.apache.lucene.search.suggest.document

# Enum Class CompletionPostingsFormat.FSTLoadMode

java.lang.Object
java.lang.Enum<CompletionPostingsFormat.FSTLoadMode>
org.apache.lucene.search.suggest.document.CompletionPostingsFormat.FSTLoadMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompletionPostingsFormat.FSTLoadMode>`, `Constable`

Enclosing class:
  `CompletionPostingsFormat`

public static enum CompletionPostingsFormat.FSTLoadMode extends Enum<CompletionPostingsFormat.FSTLoadMode>
An enum that allows to control if suggester FSTs are loaded into memory or read off-heap

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory
`OFF_HEAP`
Always read FSTs from disk.
`ON_HEAP`
Never read FSTs from disk ie.

## Method Summary

Modifier and Type
Method
Description
`static CompletionPostingsFormat.FSTLoadMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompletionPostingsFormat.FSTLoadMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF_HEAP

public static final CompletionPostingsFormat.FSTLoadMode OFF_HEAP
Always read FSTs from disk. NOTE: If this option is used the FST will be read off-heap even if buffered directory implementations are used.

### ON_HEAP

public static final CompletionPostingsFormat.FSTLoadMode ON_HEAP
Never read FSTs from disk ie. all suggest fields FSTs are loaded into memory

### AUTO

public static final CompletionPostingsFormat.FSTLoadMode AUTO
Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory

## Method Details

### values

public static CompletionPostingsFormat.FSTLoadMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompletionPostingsFormat.FSTLoadMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null